Subject: CurlEngine should support setting of options
Description

To use a proxy with the CurlEngine, one currently has to hack the options directly into the code.

Associated revisions
Revision 1c2e454e - 2013-01-14 16:31 - Karsten Dambekalns

[FEATURE] Add setOption() to CurlEngine

This allows to configure cURL in the CurlEngine. Examples for use are
proxy server settings or SSL certification handling::

$engine = new CurlEngine();
 $engine->setOption(CURLOPT_PROXY, '127.0.0.1');
 $engine->setOption(CURLOPT_PROXYPORT, 8888);

In addition the singleton scope of the CurlEngine is removed.

Change-Id: I5054c91c8b61f6f2d14eba14b86136946c897115
Resolves: #43903
Releases: master

Revision 31ad55a7 - 2013-06-10 12:57 - Karsten Dambekalns

[FEATURE] Add setOption() to CurlEngine

This allows to configure cURL in the CurlEngine. Examples for use are
proxy server settings or SSL certification handling::

$engine = new CurlEngine();
 $engine->setOption(CURLOPT_PROXY, '127.0.0.1');
 $engine->setOption(CURLOPT_PROXYPORT, 8888);

In addition the singleton scope of the CurlEngine is removed.

Change-Id: I5054c91c8b61f6f2d14eba14b86136946c897115
Resolves: #43903
Releases: master

History
#1 - 2012-12-12 10:20 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17121

#2 - 2013-01-22 21:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1c2e454ee4a4572f909536b2141caf70b088c938.

#3 - 2013-06-10 12:58 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/21307

#4 - 2013-08-01 14:14 - Robert Lemke
- Status changed from Under Review to Resolved
